LUCES< STANDARD > Struct Template Reference

LUC encryption scheme. More...

`#include <luc.h>`

Inheritance diagram for LUCES< STANDARD >:

## Additional Inherited Members

Public Types inherited from TF_ES< LUC, STANDARD >
typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions< TF_ES< LUC, STANDARD, int >, LUC, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate< TF_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< TF_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
Public Types inherited from LUC
typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey
Static Public Member Functions inherited from TF_ES< LUC, STANDARD >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from LUC
static std::string | StaticAlgorithmName ()

## Detailed Description

template<class STANDARD>
struct LUCES< STANDARD >

LUC encryption scheme.

Template Parameters

  STANDARD | signature standard

This class is here for historical and pedagogical interest. It has no practical advantages over other trapdoor functions and probably shouldn't be used in production software. The discrete log based LUC schemes defined later in this .h file may be of more practical interest.

Since
  Crypto++ 2.1

Definition at line 145 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h